Test::Unit::Tutorial(3pm)

NAME
Test::Unit::Tutorial - Tutorial on unit testing

SYNOPSIS
    perldoc Test::Unit::Tutorial

DESCRIPTION
Here should be extensive documentation on what unit testing is, why it is useful, and how to do it with the Test::Unit collection of modules.

Sorry for not implementing this yet.

Please have a look at the examples in the examples directory and read the README file that came with this distribution.

A short tutorial on how to use the unit testing framework is included in Test::Unit::TestCase.

Further examples can be found by looking at the self test collection, starting in t::tlib::AllTests.

AUTHOR
Christian Lemburg <lemburg@acm.org>

SEE ALSO

•   The module documentation for all modules in the Test::Unit tree.

•   Refactoring. Improving The Design Of Existing Code. Martin Fowler. Addison-Wesley, 1999.

•   The JUnit (unit testing framework for Java) documentation.

•   http://www.xProgramming.com/